$(document).ready(function() {
    $(document).on('click', '.js-close-custom-popup', function() {
        $(this).closest('.custom-popup').fadeOut();
        $('body').removeClass('overlayered');
        $(this).closest('.custom-popup').find('.tree__hypo-elem__inserting').remove();
        $(this).closest('.custom-popup').find('.tree__hypo-elem.inserted').removeClass('inserted').html('');
    });
});

function showCustomPopup($elem) {
    $($elem).fadeIn();
    $('body').addClass('overlayered');
}

function checkCustomPopupSize($elem) {
    var contH = $($elem).find('.custom-popup__content').height();
    console.log('content-height: ' + contH);
    console.log('window-height: ' + $(window).height());
    if(contH > $(window).height() * 0.9) {
        $($elem).addClass('top-7r');
    }else {
        $($elem).removeClass('top-7r');
    }
}